
const fetch = require('node-fetch'); // Node.js 18以下版本需要安装 node-fetch
const tools = require('../../../tools');
const config  = require('../../../etc/config.json');
const redis_help = require('../../use_redis');
const helper = require('../../helper');
const CMD = {}

CMD.get_recharge_template = async function (yw_id) {
    await require('./switchApp').switchApp(yw_id)
    try {
        let OPENSESSID = await redis_help.getKeyValue("OPENSESSID")
        let timestamp = helper.getCurrentUnixTimestamp()
        console.log("OPENSESSID:",OPENSESSID)
        const response =  await fetch("https://open.yuewen.com/api/WechatWebsite/PageListChargeSettingTemplates", {
            "headers":{
                "accept": "application/json, text/plain, */*",
                "accept-language": "zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6",
                "content-type": "application/json",
                "priority": "u=1, i",
                "sec-ch-ua": "\"Chromium\";v=\"134\", \"Not:A-Brand\";v=\"24\", \"Microsoft Edge\";v=\"134\"",
                "sec-ch-ua-mobile": "?0",
                "sec-ch-ua-platform": "\"Windows\"",
                "sec-fetch-dest": "empty",
                "sec-fetch-mode": "cors",
                "sec-fetch-site": "same-origin",
                "cookie": `Hm_lvt_990f9ab9737a266517417cc2949bb3f4=${timestamp}; csrfToken=ffZRRnqo6A4ngGbvAVP_zK5_; OPENSESSID=${OPENSESSID}; yw_open_token=67db7bcd069db; is_read_notice=67db7bcd069db; sidebarStatus=0`,
                "Referer": "https://open.yuewen.com/new/library",
                "Referrer-Policy": "strict-origin-when-cross-origin"
            },
            "body": null,
            "method": "GET"
        });

        const data = await response.json();

        if(data.code!=0){
            throw data
        }
        
        console.log('响应状态:', response.status);
        console.log('响应数据:', data);
        return data.data.charge_setting_templates;
    } catch (error) {
        console.error('请求错误:', error);
        throw error;
    }
}

module.exports = CMD;